Send document
Send document to a client
POST
/
proposals
/
document
/
send
Send document
curl --request POST \
--url https://services.leadconnectorhq.com/proposals/document/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"sentBy": "1234567890",
"documentName": "new Document",
"medium": "email",
"ccRecipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton"
}
],
"notificationSettings": {
"sender": {
"fromName": "",
"fromEmail": ""
},
"receive": {
"subject": "",
"templateId": ""
}
}
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
Version: '<version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'hTlkh7t8gujsahgg93',
documentId: 'hTlkh7t8gujsahgg93',
sentBy: '1234567890',
documentName: 'new Document',
medium: 'email',
ccRecipients: [
{
id: 'u240JcS0E5qE0ziHnwMm',
email: 'jim@gmail.com',
imageUrl: '',
contactName: 'Jim Anton',
firstName: 'Jim',
lastName: 'Anton'
}
],
notificationSettings: {sender: {fromName: '', fromEmail: ''}, receive: {subject: '', templateId: ''}}
})
};
fetch('https://services.leadconnectorhq.com/proposals/document/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/document/send"
payload = {
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"sentBy": "1234567890",
"documentName": "new Document",
"medium": "email",
"ccRecipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton"
}
],
"notificationSettings": {
"sender": {
"fromName": "",
"fromEmail": ""
},
"receive": {
"subject": "",
"templateId": ""
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}Authorizations
bearerbearer
Access Token or Private Integration Token
Headers
Access Token
Example:
"Bearer 9c48df2694a849b6089f9d0d3513efe"
API Version
Available options:
2021-07-28 Body
application/json
Location Id
Example:
"hTlkh7t8gujsahgg93"
Document Id
Example:
"hTlkh7t8gujsahgg93"
Sent ByUser Id
Example:
"1234567890"
Document Name
Example:
"new Document"
Medium to be used for sending the document
Available options:
link, email Example:
"email"
CC Recipient
Show child attributes
Show child attributes
Example:
[
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton"
}
]
Show child attributes
Show child attributes
Example:
{
"sender": { "fromName": "", "fromEmail": "" },
"receive": { "subject": "", "templateId": "" }
}
Last modified on March 7, 2026
Was this page helpful?
⌘I
Send document
curl --request POST \
--url https://services.leadconnectorhq.com/proposals/document/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"sentBy": "1234567890",
"documentName": "new Document",
"medium": "email",
"ccRecipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton"
}
],
"notificationSettings": {
"sender": {
"fromName": "",
"fromEmail": ""
},
"receive": {
"subject": "",
"templateId": ""
}
}
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
Version: '<version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'hTlkh7t8gujsahgg93',
documentId: 'hTlkh7t8gujsahgg93',
sentBy: '1234567890',
documentName: 'new Document',
medium: 'email',
ccRecipients: [
{
id: 'u240JcS0E5qE0ziHnwMm',
email: 'jim@gmail.com',
imageUrl: '',
contactName: 'Jim Anton',
firstName: 'Jim',
lastName: 'Anton'
}
],
notificationSettings: {sender: {fromName: '', fromEmail: ''}, receive: {subject: '', templateId: ''}}
})
};
fetch('https://services.leadconnectorhq.com/proposals/document/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/document/send"
payload = {
"locationId": "hTlkh7t8gujsahgg93",
"documentId": "hTlkh7t8gujsahgg93",
"sentBy": "1234567890",
"documentName": "new Document",
"medium": "email",
"ccRecipients": [
{
"id": "u240JcS0E5qE0ziHnwMm",
"email": "jim@gmail.com",
"imageUrl": "",
"contactName": "Jim Anton",
"firstName": "Jim",
"lastName": "Anton"
}
],
"notificationSettings": {
"sender": {
"fromName": "",
"fromEmail": ""
},
"receive": {
"subject": "",
"templateId": ""
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}